CVE-2006-0294
CVSS7.5
发布时间 :2006-02-02 15:06:00
修订时间 :2011-03-07 21:29:44
NMCO    

[原文]Mozilla Firefox before 1.5.0.1, Thunderbird 1.5 if running Javascript in mail, and SeaMonkey before 1.0 allow remote attackers to execute arbitrary code by changing an element's style from position:relative to position:static, which causes Gecko to operate on freed memory.


[CNNVD]Mozilla Firefox多个远程安全漏洞(CNNVD-200602-034)

        Mozilla Firefox是一款非常流行的开源WEB浏览器。
        Mozilla Firefox实现上存在多个安全漏洞,远程攻击者可能利用此漏洞在用户系统上执行代码。
        Firefox JavaScript引擎的垃圾收集引擎对临时变量没有充分保护,远程攻击者可以通过恶意创建特定的对象导致内存破坏。
        远程攻击者可以创建动态改变一个对象的风格来触发内存访问错误,从而可能导致执行任意指令。
        远程攻击者可以在HTML文件中引用Location和Navigator对象内置的QueryInterface()方法触发内存访问错误,可能导致执行任意指令。XULDocument.persist()功能没有正确验证用户提交的属性名称,远程攻击者可能在localstore.rdf中注入XML数据,这些数据会在浏览器启动时被加载进来。
        E4X、SVG和Canvas功能存在整数溢出漏洞,远程攻击者可能利用此漏洞执行任意指令。
        XML解析器可能读取缓冲区以外的数据,从而导致浏览器崩溃。
        E4X功能的实现上错误地把内部的AnyName对象暴露给Web内容,两个协同的域名可能利用它来传递信息,从而破坏同源策略。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:mozilla:firefox:0.10.1Mozilla Firefox 0.10.1
cpe:/a:mozilla:firefox:1.0.3Mozilla Firefox 1.0.3
cpe:/a:mozilla:firefox:1.5:beta1Mozilla Firefox 1.5 Beta 1
cpe:/a:mozilla:firefox:0.9Mozilla Firefox 0.9
cpe:/a:mozilla:thunderbird:1.5Mozilla Thunderbird 1.5
cpe:/a:mozilla:firefox:0.9.2Mozilla Firefox 0.9.2
cpe:/a:mozilla:firefox:1.0.1Mozilla Firefox 1.0.1
cpe:/a:mozilla:seamonkey:1.0:betaMozilla SeaMonkey 1.0 beta
cpe:/a:mozilla:firefox:1.0.2Mozilla Firefox 1.0.2
cpe:/a:mozilla:firefox:0.10Mozilla Firefox 0.10
cpe:/a:mozilla:firefox:1.0.5Mozilla Firefox 1.0.5
cpe:/a:mozilla:firefox:1.0.4Mozilla Firefox 1.0.4
cpe:/a:mozilla:firefox:1.5Mozilla Firefox 1.5
cpe:/a:mozilla:firefox:1.0.6Mozilla Firefox 1.0.6
cpe:/a:mozilla:firefox:0.8Mozilla Firefox 0.8
cpe:/a:mozilla:firefox:1.0.7Mozilla Firefox 1.0.7
cpe:/a:mozilla:firefox:0.9.1Mozilla Firefox 0.9.1
cpe:/a:mozilla:firefox:0.9.3Mozilla Firefox 0.9.3
cpe:/a:mozilla:firefox:1.0Mozilla Firefox 1.0
cpe:/a:mozilla:seamonkey:1.0::alpha
cpe:/a:mozilla:firefox:0.9:rcMozilla Firefox 0.9 rc
cpe:/a:mozilla:firefox:1.0.6::linux

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:1514Element position: Style Change Vulnerability
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0294
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0294
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200602-034
(官方数据源) CNNVD

- 其它链接及资源

https://bugzilla.mozilla.org/show_bug.cgi?id=317934
(PATCH)  CONFIRM  https://bugzilla.mozilla.org/show_bug.cgi?id=317934
http://www.vupen.com/english/advisories/2006/3749
(UNKNOWN)  VUPEN  ADV-2006-3749
http://www.vupen.com/english/advisories/2006/0413
(UNKNOWN)  VUPEN  ADV-2006-0413
http://www.securityfocus.com/archive/1/archive/1/446657/100/200/threaded
(UNKNOWN)  HP  SSRT061236
http://xforce.iss.net/xforce/xfdb/24431
(UNKNOWN)  XF  mozilla-element-change-memory-corruption(24431)
http://www.securityfocus.com/bid/16476
(UNKNOWN)  BID  16476
http://www.securityfocus.com/archive/1/archive/1/446657/100/200/threaded
(UNKNOWN)  HP  HPSBUX02156
http://www.mozilla.org/security/announce/2006/mfsa2006-02.html
(UNKNOWN)  CONFIRM  http://www.mozilla.org/security/announce/2006/mfsa2006-02.html
http://securitytracker.com/id?1015570
(UNKNOWN)  SECTRACK  1015570
http://secunia.com/advisories/22065
(UNKNOWN)  SECUNIA  22065
http://secunia.com/advisories/18704
(UNKNOWN)  SECUNIA  18704
http://secunia.com/advisories/18700
(UNKNOWN)  SECUNIA  18700

- 漏洞信息

Mozilla Firefox多个远程安全漏洞
高危 资料不足
2006-02-02 00:00:00 2006-02-03 00:00:00
远程  
        Mozilla Firefox是一款非常流行的开源WEB浏览器。
        Mozilla Firefox实现上存在多个安全漏洞,远程攻击者可能利用此漏洞在用户系统上执行代码。
        Firefox JavaScript引擎的垃圾收集引擎对临时变量没有充分保护,远程攻击者可以通过恶意创建特定的对象导致内存破坏。
        远程攻击者可以创建动态改变一个对象的风格来触发内存访问错误,从而可能导致执行任意指令。
        远程攻击者可以在HTML文件中引用Location和Navigator对象内置的QueryInterface()方法触发内存访问错误,可能导致执行任意指令。XULDocument.persist()功能没有正确验证用户提交的属性名称,远程攻击者可能在localstore.rdf中注入XML数据,这些数据会在浏览器启动时被加载进来。
        E4X、SVG和Canvas功能存在整数溢出漏洞,远程攻击者可能利用此漏洞执行任意指令。
        XML解析器可能读取缓冲区以外的数据,从而导致浏览器崩溃。
        E4X功能的实现上错误地把内部的AnyName对象暴露给Web内容,两个协同的域名可能利用它来传递信息,从而破坏同源策略。

- 公告与补丁

        目前厂商已经在最新版本的软件中修复了这些安全问题,请到厂商的主页下载:
        http://www.mozilla.org/

- 漏洞信息

22891
Mozilla Multiple Products Element Style Modification Memory Corruption
Input Manipulation
Loss of Integrity
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-02-01 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站